# $Revision: 1.7 $, $Date: 2008/07/27 22:29:38 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	XPath
Summary:	Class::XPath - module that adds XPath matching to object trees
Summary(pl.UTF-8):	Class::XPath - moduł dodający dopasowywanie XPath do drzew obiektów
Name:		perl-Class-XPath
Version:	1.4
Release:	2
# same as perl 5
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	22ff3d2536027f3a9f59c6eb849fa610
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module adds XPath-style matching to your object trees. This means
that you can find nodes using an XPath-esque query with "match()" from
anywhere in the tree. Also, the "xpath()" method returns a unique path
to a given node which can be used as an identifier.

%description -l pl.UTF-8
Ten moduł dodaje dopasowywanie w stylu XPath do drzew obiektów.
Oznacza to, że można szukać węzłów przy użyciu zapytania typu XPath
funkcją "match()" z każdego miejsca w drzewie. Ponadto metoda
"xpath()" zwraca unikalną ścieżkę do danego węzła, którą można używać
jako identyfikator.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Class/XPath.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-XPath.spec,v $
Revision 1.7  2008/07/27 22:29:38  arekm
- release 2

Revision 1.6  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:26  baggins
- converted to UTF-8

Revision 1.4  2004/11/03 22:30:10  paladine
- formatting

Revision 1.3  2004/04/18 16:56:36  ankry
- license fixes and unification

Revision 1.2  2004/03/06 22:18:21  adamg
- updated to 1.4

Revision 1.1  2003/12/18 15:39:02  qboosh
- new

